      FUNCTION SECNDS(OFFSET)
C     RENBR(SECNDS/PDP10 SECONDS SINCE MIDNIGHT)
C
C     DONALD E. BARTH, YALE SCHOOL OF MANAGEMENT
C
C     THIS DECSYSTEM-10 ROUTINE RETURNS THE  CURRENT  TIME,
C     STATED  AS  THE  NUMBER  OF  SECONDS  SINCE MIDNIGHT,
C     OFFSET BY THE VALUE  OF  ITS  SINGLE  ARGUMENT.   THE
C     DECSYSTEM-10  TIME ROUTINE RETURNS ITS FIRST ARGUMENT
C     IN THE FORM 'HH:MM' AND ITS SECOND  ARGUMENT  IN  THE
C     FORM  ' SS.T' WHERE HH, MM ,SS AND T FORM THE CURRENT
C     TIME STATED IN HOURS, MINUTES, SECONDS AND TENTHS  OF
C     SECONDS.   DECODE STATEMENTS ARE USED TO CONVERT FROM
C     THE HOLLERITH FORM RETURNED BY THE  TIME  ROUTINE  TO
C     THE  NUMERIC  FORM  WHICH  IS  TO  BE RETURNED BY THE
C     SECNDS ROUTINE.  THE  CALLING  CONVENTIONS  FOR  THIS
C     ROUTINE  ARE THE SAME AS FOR THE VAX-11 SECNDS SYSTEM
C     SUBROUTINE WHICH  IS  DESCRIBED  IN  SECTION  C.6  OF
C     APPENDIX C OF THE VAX-11 USER'S GUIDE.
C
      CALL TIME(LTRHHM,LTRSST)
      DECODE(5,1,LTRHHM)IHOURS,IMINUT
    1 FORMAT(1I2,1X,1I2)
      DECODE(5,2,LTRSST)ISECND,ITENTH
    2 FORMAT(1I3,1X,1I1)
      IF(IHOURS.GE.24)IHOURS=0
      WHOLE=(3600*IHOURS)+(60*IMINUT)+ISECND
      TENTHS=FLOAT(ITENTH)/10.0
      SECNDS=OFFSET+WHOLE+TENTHS
      RETURN
      END
